package com.nsgk.ruralWeb.sys;

import android.location.LocationManager;

import com.nsgk.ruralWeb.BuildConfig;
import com.nsgk.ruralWeb.enums.NSEnums;

public final class NSConstants
{
    /**
     * App首页链接地址
     * 可以在 /gradle.properties 里配置 appHomeUrl=链接地址, 不要携带双引号
     * 也可以在命令行添加 -PappHomeUrl="链接地址", 双引号可携带也可不携带
     */
    public static String AppHomeUrl()
    {
        return BuildConfig.APP_HOME_URL;
    }

    /**
     * App启动页版权文本
     * 可以在 /gradle.properties 里配置 appCopyright=文本, 不要携带双引号
     * 也可以在命令行添加 -PappCopyright="文本", 双引号可携带也可不携带
     */
    public static String AppCopyright()
    {
        return BuildConfig.APP_COMPYRIGHT;
    }

    /**
     * App启动页厂商文本
     * 可以在 /gradle.properties 里配置 appVendor=文本, 不要携带双引号
     * 也可以在命令行添加 -PappVendor="文本", 双引号可携带也可不携带
     */
    public static String AppVendor()
    {
        return BuildConfig.APP_VENDOR;
    }

    /**
     * App图标
     */
    public static String AppIcon()
    {
        return BuildConfig.APP_ICON;
    }

    /**
     * App更新下载地址
     * 可以在 /gradle.properties 里配置 appUpdateUrl=链接地址, 不要携带双引号
     * 也可以在命令行添加 -PappUpdateUrl="链接地址", 双引号可携带也可不携带
     */
    public static String AppUpdateUrl()
    {
        return BuildConfig.APP_UPDATE_URL;
    }

    public static boolean IsHttps()
    {
        return AppHomeUrl().startsWith("https://");
    }

    public static boolean IsDebug()
    {
        return BuildConfig.DEBUG;
    }

    public static boolean IsAMapLocationEnabled()
    {
        return true;
    }

    // 偏好默认值
    public static final String  DEFAULT_LOCATION_MODE                = NSEnums.LocationMode.REALTIME;
    public static final int     DEFAULT_LOCATION_GAODE_INTERVAL      = 1000;
    public static final int     DEFAULT_LOCATION_GAODE_READ_COUNT    = 1;
    public static final String  DEFAULT_LOCATION_PROVIDER            = LocationManager.GPS_PROVIDER;
    public static final int     DEFAULT_LOCATION_REALTIME_INTERVAL   = 1000;
    public static final int     DEFAULT_LOCATION_REALTIME_DISTANCE   = 0; // 1
    public static final int     DEFAULT_LOCATION_REALTIME_READ_COUNT = 1;
    public static final boolean DEFAULT_OPEN_LAST_URL                = false;
    public static final int     DEFAULT_FONT_SCALE                   = 100;
    public static final boolean DEFAULT_LOGCAT_CONSOLE_OUTPUT        = false;
    public static final int     DEFAULT_LOCATION_TIMEOUT             = 0;


    public static final String FUSED_PROVIDER           = "fused";
    public static final String APK_UPDATE_DOWNLOAD_DIR  = "update";
    public static final String APK_UPDATE_DOWNLOAD_FILE = "latest.apk";

    private NSConstants() {}
}
